summarylogtreecommitdiffstats
path: root/windscribe-bin.install
diff options
context:
space:
mode:
Diffstat (limited to 'windscribe-bin.install')
-rw-r--r--windscribe-bin.install52
1 files changed, 52 insertions, 0 deletions
diff --git a/windscribe-bin.install b/windscribe-bin.install
new file mode 100644
index 000000000000..252f0fa51bb3
--- /dev/null
+++ b/windscribe-bin.install
@@ -0,0 +1,52 @@
+pre_install() {
+
+ end=$((SECONDS+10))
+
+ while :
+ do
+ if [ -z "$(ps -eo args | grep WindscribeEngine | grep -v grep)" ]; then
+ break
+ fi
+
+ if [ $SECONDS -gt $end ]; then
+ echo 'Error during Windscribe installation. WindscribeEngine is running. Please re-launch Windscribe. And try to update again.'
+ exit 1
+ fi
+ done
+
+ systemctl stop windscribe-helper > /dev/null 2>&1
+ systemctl disable windscribe-helper > /dev/null 2>&1
+
+ # Stop and disable firewalld service if it is active, otherwise it will conflict with iptables on OS reboot
+ # Relevant for Fedora distributions
+ systemctl is-active --quiet firewalld
+ if [ $? -eq 0 ]
+ then
+ echo "Firewalld service is running. It will be stopped and disabled to avoid conflicts with the Windscribe iptables firewall."
+ sudo systemctl stop firewalld
+ sudo systemctl disable firewalld
+ fi
+
+ echo "Finish pre-install script"
+}
+
+post_install() {
+ systemctl enable windscribe-helper
+ systemctl start windscribe-helper
+
+}
+
+pre_upgrade() {
+ set -e
+ systemctl stop windscribe-helper
+ systemctl disable windscribe-helper
+}
+
+post_upgrade() {
+ post_install
+}
+
+pre_remove() {
+ systemctl stop windscribe-helper
+ systemctl disable windscribe-helper
+}